<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="playlist">
<html>
<head>
<title><xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/></title>
<script language="javascript" src="/images/jscripts.js"></script>
</head>

<body topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" marginheight="0" marginwidth="0" onLoad="setTimeout('refreshIt()',5000)">

<basefont face="verdana"/>

<map name="buttons">
<area href="?button=Top.xml" shape="rect" coords="33, 19, 53, 38"/>
<area href="?button=Bottom.xml" shape="rect" coords="33, 54, 53, 82"/>
<area href="?button=Right.xml" shape="rect" coords="43, 38, 67, 54"/>
<area href="?button=Left.xml" shape="rect" coords="17, 38, 43, 54"/>
</map>
<map name="knob">
<area href="?button=KnobRight.xml" shape="rect" coords="25, 34, 46, 73"/>
<area href="?button=KnobLeft.xml" shape="rect" coords="4, 34, 25, 73"/>
</map>

<table width="100%" border="0" cellpadding="4" cellspacing="0">
  <tr>
    <td><img border="0" src="/images/empeg.gif" hspace="5" vspace="5"/></td>
    <td align="right">

<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td rowspan="3"><img border="0" src="/images/fascia_left.gif" width="94" height="90" usemap="#buttons"/></td>
    <td><img border="0" src="/images/fascia_top.gif" width="128" height="28"/></td>
    <td rowspan="3"><img border="0" src="/images/fascia_right.gif" width="74" height="90" usemap="#knob"/></td>
  </tr>
  <tr>
    <td><font face="verdana" size="2"><img src="/proc/empeg_screen.png" width="128" height="32" name="display"/></font></td>
  </tr>
  <tr>
    <td><img border="0" src="/images/fascia_bottom.gif" width="128" height="30"/></td>
  </tr>
</table>
    </td>
  </tr>
</table>

<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td colspan="3"><img src="images/pix.gif" width="1" height="1"/></td>
  </tr>
</table>

<table width="100%" border="0" cellpadding="2" cellspacing="0">
  <tr bgcolor="#EEEEEE">
    <td><font size="2"><b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="/">Home</a> | <a href="/drive0/fids/101?.xml">Playlists</a></b></font></td>
    <form name="form"><td align="right"><font size="2"><b>Send: <select size="1" name="cmd" onChange="javascript:formHandler()" style="font-family: Verdana; font-size: 10pt">
<option value="">(Choose Command)</option>
<option value="?serial=%20">Play</option>
<option value="?serial=W">Pause</option>
<option value="?button=Right.L">Fast Forward</option>
<option value="?button=Left.L">Rewind</option>
<option value="?button=NextTrack">Next Track</option>
<option value="?button=PrevTrack">Previous Track</option>
<option value="?button=Vol+.L">Volume +</option>
<option value="?button=Vol-.L">Volume -</option>
<option value="?button=Info">Info Mode</option>
<option value="?button=Visual">Next Visual</option>
<option value="?button=Top.L">Sleep</option>
<option value="?button=Bottom">Menu Enter</option>
<option value="?button=Left">Menu Left</option>
<option value="?button=Right">Menu Right</option>
<option value="?button=Top">Menu Back</option>
</select></b></font></td></form>
  </tr>
</table>
<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td colspan="3"><img src="images/pix.gif" width="1" height="1"/></td>
  </tr>
</table>

<table width="100%" border="0" cellpadding="10" cellspacing="0">
  <tr>
    <td>
<table border="1" cellspacing="0" cellpadding="2">

	<thead bgcolor="#EEEEEE">
		<tr>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?.m3u</xsl:attribute>
					<font size="2"><b>Stream</b></font>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?SERIAL=%23<xsl:value-of select="@fid"/>.xml</xsl:attribute>
					<font size="2"><b>Play</b></font>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/></xsl:attribute>
					<font size="2"><b>Tags</b></font>
				</a>
			</td>
			<td align="center">
				<font size="2"><b><xsl:value-of select="@title"/></b></font>
			</td>
			<td><font size="2"><b>Length</b></font></td>
			<td><font size="2"><b>Type</b></font></td>
			<td><font size="2"><b>Artist</b></font></td>
			<td><font size="2"><b>Source</b></font></td>
		</tr>
	</thead>	
	<tbody>
		<xsl:apply-templates select="items"/>
	</tbody>
</table>
    </td>
  </tr>
</table>

</body>
</html>

</xsl:template>



<xsl:template match="items">

	<xsl:for-each select="item">

	<tr>
		<td align="center">
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
				<img src="/images/stream4.jpg" height="16" width="16" border="0"/>
			</a>
		</td>

		<td align="center">
			<a>
				<xsl:attribute name="href"><xsl:value-of select="/playlist/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
				<img src="/images/play.jpg" height="16" width="16" border="0"/>
			</a>
		</td>

		<td align="center">
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
				<img src="/images/tags.gif" height="16" width="16" border="0"/>
			</a>
		</td>

		<td>
			<a>
				<xsl:choose>
					<xsl:when test="type[.='tune']">
						<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.xml</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<font face="verdana" size="2"><xsl:value-of select="title"/></font>
			</a>
		</td>

		<td align="center">
			<xsl:choose>
				<xsl:when test="type[.='tune']">
					<font size="2"><xsl:value-of select="duration"/></font>
				</xsl:when>
				<xsl:otherwise>
					<font size="2"><xsl:value-of select="length"/></font>
				</xsl:otherwise>
			</xsl:choose>
		</td>

		<td>
			<font size="2"><xsl:value-of select="type"/></font>
		</td>

		<td>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				<font size="2"><xsl:value-of select="artist"/></font>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>

		<td>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				<font size="2"><xsl:value-of select="source"/></font>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>


</xsl:stylesheet>
